#
# spec file for package ifuse
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ifuse
Version:        1.1.3
Release:        8.1
Summary:        Filesystem access for Apple devices
License:        LGPL-2.0+
Group:          System/Filesystems
Url:            http://www.libimobiledevice.org
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fuse-devel
BuildRequires:  libimobiledevice-devel
BuildRequires:  libplist-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
iFuse is a FUSE filesystem driver which uses `libimobiledevice` to connect to
devices without the need for a jailbreak.
It is using the native Apple "AFC" protocol, over the normal USB cable in order
to access the iPhone's, iPod Touch's or iPad's media files under Linux.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%{_bindir}/ifuse
%doc %{_mandir}/man1/ifuse.1.*

%changelog
* Tue Jun 17 2014 i@marguerite.su
- update version 1.1.3
  * Updated to compile with latest libimobiledevice
  * New command line options --documents and --container (obsoletes --appid)
  * Handle error condition caused by pending iOS7+ trust dialog
  * Minor fixes and changes
- drop patch: ifuse-libimobiledevice-1.1.5.patch
  * upstreamed
* Tue Jul 30 2013 opensuse@sukimashita.com
- Add support for libimobiledevice 1.1.5 backported from upstream
  git HEAD fixing build for openSUSE:Factory
- Add ifuse-libimobiledevice-1.1.5.patch
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
* Sun Apr  8 2012 opensuse@sukimashita.com
- Update to 1.1.2:
  * Add direct linking with libplist to fix build issues
  * Add basic manpage
  * Use UDID instead of UUID as it is the correct term for it
  * Remove obsolete glib and gthread dependencies
- Remove ifuse-fixasneeded.patch
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Jan 12 2011 opensuse@sukimashita.com
- Update to 1.1.1:
  * Add "house_arrest" support when compiled with
    libimobiledevice >= 1.1.0
  * Add "--appid" option for document/filesharing using
    "house_arrest" service
  * FreeBSD doesn't have ENODATA, so fake it as EIO
  * Make COPYING contain correct license
  * Add NEWS file and update README
  * Minor bugfixes
* Mon May  3 2010 meissner@suse.de
- fixed asneeded problem correctly
* Tue Mar 23 2010 opensuse@sukimashita.com
- Update to 1.0.0:
  * Return correct exit status on failure
  * Fix renamed define due to changes in libimobiledevice
* Tue Feb  2 2010 opensuse@sukimashita.com
- Update to 0.9.7:
  * Port to libimobiledevice project name change
* Sat Jan 23 2010 opensuse@sukimashita.com
- Update to 0.9.6:
  * Port to libiphone 0.9.6 API
  * Improve error message on failed root filesystem access
  * Notify user if startup fails due to the device having a
    password set
  * Fix handling of uuid command line argument
  * Remove hardcoded allow_other fuse argument
* Tue Nov 24 2009 opensuse@sukimashita.com
- Update to 0.9.5:
  * support file modification times on OS 3.1 and later
* Thu Oct 29 2009 opensuse@sukimashita.com
- Update to 0.9.4:
  * Renamed and moved binary to /usr/bin/ifuse
  * Rewrite option handling and connect to a specific device
  * Remove HAL automounting hack
  * Update to latest libiphone API
  * Userspace mounting is now preferred
* Thu Aug  6 2009 opensuse@sukimashita.com
- Update to 0.9.3:
  * Moved some libiphone logic into iFuse and adopted to new API
  * Add hard/symlink/locking support
  * Add iPhone 3GS support
  * Improved error code handling
* Wed May 13 2009 opensuse@sukimashita.com
- Update to 0.9.1:
  * Autotools fixes
* Sun May 10 2009 opensuse@sukimashita.com
- Update to 0.9.0:
  * Handle file modes correctly
  * Improve error handling
  * Remove references of obsolete libiphone-initconf
  * Bugfixes
* Sat Apr 11 2009 opensuse@sukimashita.com
- Update to latest git HEAD
* Sat Apr  4 2009 opensuse@sukimashita.com
- Make BuildRequires use libiphone-devel without so version
* Sat Jan 31 2009 opensuse@sukimashita.com
- Initial package created
